### Function

# Gimp Image metadata_load_thumbnail

since: 2.10

#### Declaration [src]

    GimpImage*
    gimp_image_metadata_load_thumbnail (
      GFile* file,
      GError** error
    )

#### Description [src]

Retrieves a thumbnail from metadata if present.

Available since: 2.10

#### Parameters

`file`

  Type: `GFile`

  A `GFile` image.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpImage`

A `GimpImage` of the `file` thumbnail.

The data is owned by the called function.
The return value can be `NULL`.